BEGIN;

SET search_path TO cadastre_cd30_2017,public;

ALTER TABLE geo_commune ADD UNIQUE (geo_commune);
ALTER TABLE geo_parcelle ADD UNIQUE (geo_parcelle);

ALTER TABLE commune ADD CONSTRAINT commune_geo_commune_fk FOREIGN KEY (geo_commune) REFERENCES geo_commune (geo_commune) ON DELETE SET NULL;
ALTER TABLE parcelle ADD CONSTRAINT parcelle_comptecommunal_fk FOREIGN KEY (comptecommunal) REFERENCES comptecommunal (comptecommunal) ON DELETE CASCADE;
ALTER TABLE parcelle ADD CONSTRAINT parcelle_pdl_fk FOREIGN KEY (pdl) REFERENCES pdl (pdl) ON DELETE CASCADE;
ALTER TABLE parcelle ADD CONSTRAINT parcelle_voie_fk FOREIGN KEY ( voie) REFERENCES voie ( voie) ON DELETE CASCADE;
ALTER TABLE parcelle ADD CONSTRAINT parcelle_gpdl_fk FOREIGN KEY (gpdl) REFERENCES gpdl (gpdl) ON DELETE CASCADE;
ALTER TABLE parcelle ADD CONSTRAINT parcelle_geo_parcelle_fk FOREIGN KEY (geo_parcelle) REFERENCES geo_parcelle (geo_parcelle) ON DELETE SET NULL;
ALTER TABLE suf ADD CONSTRAINT suf_parcelle_fk FOREIGN KEY (parcelle) REFERENCES parcelle (parcelle) ON DELETE CASCADE;
ALTER TABLE suf ADD CONSTRAINT suf_comptecommunal_fk FOREIGN KEY (comptecommunal) REFERENCES comptecommunal (comptecommunal) ON DELETE CASCADE;
ALTER TABLE suf ADD CONSTRAINT suf_pdl_fk FOREIGN KEY (pdl) REFERENCES pdl (pdl) ON DELETE CASCADE;
ALTER TABLE suf ADD CONSTRAINT suf_gnexps_fk FOREIGN KEY (gnexps) REFERENCES gnexps (gnexps) ON DELETE CASCADE;
ALTER TABLE suf ADD CONSTRAINT suf_cgrnum_fk FOREIGN KEY (cgrnum) REFERENCES cgrnum (cgrnum) ON DELETE CASCADE;
ALTER TABLE suf ADD CONSTRAINT suf_dsgrpf_fk FOREIGN KEY (dsgrpf) REFERENCES dsgrpf (dsgrpf) ON DELETE CASCADE;
ALTER TABLE suf ADD CONSTRAINT suf_cnatsp_fk FOREIGN KEY (cnatsp) REFERENCES cnatsp (cnatsp) ON DELETE CASCADE;
ALTER TABLE sufexoneration ADD CONSTRAINT sufexoneration_suf_fk FOREIGN KEY (suf) REFERENCES suf (suf) ON DELETE CASCADE;
ALTER TABLE sufexoneration ADD CONSTRAINT sufexoneration_ccolloc_fk FOREIGN KEY (ccolloc) REFERENCES ccolloc (ccolloc) ON DELETE CASCADE;
ALTER TABLE sufexoneration ADD CONSTRAINT sufexoneration_gnexts_fk FOREIGN KEY (gnexts) REFERENCES gnexts (gnexts) ON DELETE CASCADE;
ALTER TABLE suftaxation ADD CONSTRAINT suftaxation_suf_fk FOREIGN KEY (suf ) REFERENCES suf (suf) ON DELETE CASCADE;
ALTER TABLE local00 ADD CONSTRAINT local00_parcelle_fk FOREIGN KEY (parcelle) REFERENCES parcelle (parcelle) ON DELETE CASCADE;
ALTER TABLE local00 ADD CONSTRAINT local00_voie_fk FOREIGN KEY ( voie) REFERENCES voie ( voie) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_local00_fk FOREIGN KEY (local00) REFERENCES local00 (local00) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_parcelle_fk FOREIGN KEY (parcelle) REFERENCES parcelle (parcelle) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_comptecommunal_fk FOREIGN KEY (comptecommunal) REFERENCES comptecommunal (comptecommunal) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_voie_fk FOREIGN KEY (voie) REFERENCES voie (voie) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_ccoeva_fk FOREIGN KEY (ccoeva) REFERENCES ccoeva (ccoeva) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_dteloc_fk FOREIGN KEY (dteloc) REFERENCES dteloc (dteloc) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_ccoplc_fk FOREIGN KEY (ccoplc) REFERENCES ccoplc (ccoplc) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_cconlc_fk FOREIGN KEY (cconlc) REFERENCES cconlc (cconlc) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_top48a_fk FOREIGN KEY (top48a) REFERENCES top48a (top48a) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_dnatlc_fk FOREIGN KEY (dnatlc) REFERENCES dnatlc (dnatlc) ON DELETE CASCADE;
ALTER TABLE local10 ADD CONSTRAINT local10_hlmsem_fk FOREIGN KEY (hlmsem) REFERENCES hlmsem (hlmsem) ON DELETE CASCADE;
ALTER TABLE pev ADD CONSTRAINT pev_local10_fk FOREIGN KEY (local10) REFERENCES local10 (local10) ON DELETE CASCADE;
ALTER TABLE pev ADD CONSTRAINT pev_ccoaff_fk FOREIGN KEY (ccoaff) REFERENCES ccoaff (ccoaff) ON DELETE CASCADE;
ALTER TABLE pev ADD CONSTRAINT pev_gnexpl_fk FOREIGN KEY (gnexpl) REFERENCES gnexpl (gnexpl) ON DELETE CASCADE;
ALTER TABLE pevexoneration ADD CONSTRAINT pevexoneration_pev_fk FOREIGN KEY (pev) REFERENCES pev (pev) ON DELETE CASCADE;
ALTER TABLE pevexoneration ADD CONSTRAINT pevexoneration_ccolloc_fk FOREIGN KEY (ccolloc) REFERENCES ccolloc (ccolloc) ON DELETE CASCADE;
ALTER TABLE pevexoneration ADD CONSTRAINT pevexoneration_gnextl_fk FOREIGN KEY (gnextl) REFERENCES gnextl (gnextl) ON DELETE CASCADE;
ALTER TABLE pevtaxation ADD CONSTRAINT pevtaxation_pev_fk FOREIGN KEY (pev) REFERENCES pev (pev) ON DELETE CASCADE;
ALTER TABLE pevprincipale ADD CONSTRAINT pevprincipale_pev_fk FOREIGN KEY (pev) REFERENCES pev (pev) ON DELETE CASCADE;
ALTER TABLE pevprincipale ADD CONSTRAINT pevprincipale_dep1_cconad_fk FOREIGN KEY (dep1_cconad) REFERENCES cconad (cconad) ON DELETE CASCADE;
ALTER TABLE pevprincipale ADD CONSTRAINT pevprincipale_dep2_cconad_fk FOREIGN KEY (dep2_cconad) REFERENCES cconad (cconad) ON DELETE CASCADE;
ALTER TABLE pevprincipale ADD CONSTRAINT pevprincipale_dep3_cconad_fk FOREIGN KEY (dep3_cconad) REFERENCES cconad (cconad) ON DELETE CASCADE;
ALTER TABLE pevprincipale ADD CONSTRAINT pevprincipale_dep4_cconad_fk FOREIGN KEY (dep4_cconad) REFERENCES cconad (cconad) ON DELETE CASCADE;
ALTER TABLE pevprofessionnelle ADD CONSTRAINT pevprofessionnelle_pev_fk FOREIGN KEY (pev) REFERENCES pev (pev) ON DELETE CASCADE;
ALTER TABLE pevdependances ADD CONSTRAINT pevdependances_pev_fk FOREIGN KEY (pev) REFERENCES pev (pev) ON DELETE CASCADE;
ALTER TABLE pevdependances ADD CONSTRAINT pevdependances_cconad_fk FOREIGN KEY (cconad) REFERENCES cconad (cconad) ON DELETE CASCADE;
ALTER TABLE pdl ADD CONSTRAINT pdl_parcelle_fk FOREIGN KEY (parcelle) REFERENCES parcelle (parcelle) ON DELETE CASCADE;
ALTER TABLE pdl ADD CONSTRAINT pdl_comptecommunal_fk FOREIGN KEY (comptecommunal) REFERENCES comptecommunal (comptecommunal) ON DELETE CASCADE;
ALTER TABLE pdl ADD CONSTRAINT pdl_ctpdl_fk FOREIGN KEY (ctpdl) REFERENCES ctpdl (ctpdl) ON DELETE CASCADE;
ALTER TABLE lots ADD CONSTRAINT lots_pdl_fk FOREIGN KEY (pdl) REFERENCES pdl (pdl) ON DELETE CASCADE;
ALTER TABLE lots ADD CONSTRAINT lots_comptecommunal_fk FOREIGN KEY (comptecommunal ) REFERENCES comptecommunal ( comptecommunal ) ON DELETE CASCADE;
ALTER TABLE lots ADD CONSTRAINT lots_parcelle_fk FOREIGN KEY (parcelle) REFERENCES parcelle (parcelle) ON DELETE CASCADE;
ALTER TABLE lots ADD CONSTRAINT lots_cconlo_fk FOREIGN KEY (cconlo) REFERENCES cconlo (cconlo) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_comptecommunal_fk FOREIGN KEY (comptecommunal) REFERENCES comptecommunal (comptecommunal) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_ccodro_fk FOREIGN KEY (ccodro) REFERENCES ccodro (ccodro) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_ccodem_fk FOREIGN KEY (ccodem) REFERENCES ccodem (ccodem) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_gtoper_fk FOREIGN KEY (gtoper) REFERENCES gtoper (gtoper) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_ccoqua_fk FOREIGN KEY (ccoqua) REFERENCES ccoqua (ccoqua) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_dnatpr_fk FOREIGN KEY (dnatpr) REFERENCES dnatpr (dnatpr) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_ccogrm_fk FOREIGN KEY (ccogrm) REFERENCES ccogrm (ccogrm) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_gtyp3_fk FOREIGN KEY (gtyp3) REFERENCES gtyp3 (gtyp3) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_gtyp4_fk FOREIGN KEY (gtyp4) REFERENCES gtyp4 (gtyp4) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_gtyp5_fk FOREIGN KEY (gtyp5) REFERENCES gtyp5 (gtyp5) ON DELETE CASCADE;
ALTER TABLE proprietaire ADD CONSTRAINT proprietaire_gtyp6_fk FOREIGN KEY (gtyp6) REFERENCES gtyp6 (gtyp6) ON DELETE CASCADE;
ALTER TABLE parcellecomposante ADD CONSTRAINT parcellecomposante_pdl_fk FOREIGN KEY (pdl) REFERENCES pdl (pdl) ON DELETE CASCADE;
ALTER TABLE parcellecomposante ADD CONSTRAINT parcellecomposante_parcelle_fk FOREIGN KEY (parcelle) REFERENCES parcelle (parcelle) ON DELETE CASCADE;
ALTER TABLE parcellecomposante ADD CONSTRAINT parcellecomposante_parcellea_fk FOREIGN KEY (parcellea) REFERENCES parcelle (parcelle) ON DELETE CASCADE;
ALTER TABLE lotslocaux ADD CONSTRAINT lotslocaux_lots_fk FOREIGN KEY ( lots ) REFERENCES lots (lots) ON DELETE CASCADE;
ALTER TABLE lotslocaux ADD CONSTRAINT lotslocaux_local00_fk FOREIGN KEY (local00) REFERENCES local00 (local00) ON DELETE CASCADE;
ALTER TABLE lotslocaux ADD CONSTRAINT lotslocaux_local10_fk FOREIGN KEY (local10) REFERENCES local10 (local10) ON DELETE CASCADE;
ALTER TABLE commune ADD CONSTRAINT lotslocaux_typcom_fk FOREIGN KEY (typcom) REFERENCES typcom (typcom) ON DELETE CASCADE;
ALTER TABLE voie ADD CONSTRAINT voie_commune_fk FOREIGN KEY (commune) REFERENCES commune (commune) ON DELETE CASCADE;
ALTER TABLE voie ADD CONSTRAINT voie_typcom_fk FOREIGN KEY (typcom) REFERENCES typcom (typcom) ON DELETE CASCADE;
ALTER TABLE voie ADD CONSTRAINT voie_natvoiriv_fk FOREIGN KEY (natvoiriv) REFERENCES natvoiriv (natvoiriv) ON DELETE CASCADE;
ALTER TABLE voie ADD CONSTRAINT voie_carvoi_fk FOREIGN KEY (carvoi) REFERENCES carvoi (carvoi) ON DELETE CASCADE;
ALTER TABLE voie ADD CONSTRAINT voie_annul_fk FOREIGN KEY (annul) REFERENCES annul (annul) ON DELETE CASCADE;
ALTER TABLE voie ADD CONSTRAINT voie_typvoi_fk FOREIGN KEY (typvoi) REFERENCES typvoi (typvoi) ON DELETE CASCADE;
ALTER TABLE voie ADD CONSTRAINT voie_indldnbat_fk FOREIGN KEY (indldnbat) REFERENCES indldnbat (indldnbat) ON DELETE CASCADE;
ALTER TABLE geo_commune ADD CONSTRAINT geo_commune_commune_fk FOREIGN KEY (commune) REFERENCES commune (commune) ON DELETE SET NULL;
ALTER TABLE geo_section ADD CONSTRAINT geo_section_commune_fk FOREIGN KEY (geo_commune) REFERENCES geo_commune (geo_commune) ON DELETE CASCADE;
ALTER TABLE geo_subdsect ADD CONSTRAINT geo_subdsect_qupl_fk FOREIGN KEY (geo_qupl) REFERENCES geo_qupl (geo_qupl) ON DELETE CASCADE;
ALTER TABLE geo_subdsect ADD CONSTRAINT geo_subdsect_copl_fk FOREIGN KEY (geo_copl) REFERENCES geo_copl (geo_copl) ON DELETE CASCADE;
ALTER TABLE geo_subdsect ADD CONSTRAINT geo_subdsect_inp_fk FOREIGN KEY (geo_inp) REFERENCES geo_inp (geo_inp) ON DELETE CASCADE;
ALTER TABLE geo_subdsect ADD CONSTRAINT geo_subdsect_section_fk FOREIGN KEY (geo_section) REFERENCES geo_section (geo_section) ON DELETE CASCADE;
ALTER TABLE geo_parcelle ADD CONSTRAINT geo_parcelle_indp_fk FOREIGN KEY (geo_indp) REFERENCES geo_indp (geo_indp) ON DELETE CASCADE;
ALTER TABLE geo_parcelle ADD CONSTRAINT geo_parcelle_section_fk FOREIGN KEY (geo_section) REFERENCES geo_section (geo_section) ON DELETE CASCADE;
ALTER TABLE geo_parcelle ADD CONSTRAINT geo_parcelle_subdsect_fk FOREIGN KEY (geo_subdsect) REFERENCES geo_subdsect (geo_subdsect) ON DELETE CASCADE;
ALTER TABLE geo_parcelle ADD CONSTRAINT geo_parcelle_parcelle_fk FOREIGN KEY (parcelle) REFERENCES parcelle (parcelle) ON DELETE SET NULL;
ALTER TABLE geo_subdfisc_parcelle ADD CONSTRAINT geo_subdfisc_parcelle_s_fk FOREIGN KEY (geo_subdfisc) REFERENCES geo_subdfisc (geo_subdfisc) ON DELETE CASCADE;
ALTER TABLE geo_subdfisc_parcelle ADD CONSTRAINT geo_subdfisc_parcelle_p_fk FOREIGN KEY (geo_parcelle) REFERENCES geo_parcelle (geo_parcelle) ON DELETE CASCADE;
ALTER TABLE geo_numvoie_parcelle ADD CONSTRAINT geo_numvoie_parcelle_n_fk FOREIGN KEY (geo_numvoie) REFERENCES geo_numvoie (geo_numvoie) ON DELETE CASCADE;
ALTER TABLE geo_numvoie_parcelle ADD CONSTRAINT geo_numvoie_parcelle_p_fk FOREIGN KEY (geo_parcelle) REFERENCES geo_parcelle (geo_parcelle) ON DELETE CASCADE;
ALTER TABLE geo_batiment ADD CONSTRAINT geo_batiment_dur_fk FOREIGN KEY (geo_dur) REFERENCES geo_dur (geo_dur) ON DELETE CASCADE;
ALTER TABLE geo_batiment_parcelle ADD CONSTRAINT geo_batiment_parcelle_n_fk FOREIGN KEY (geo_batiment) REFERENCES  geo_batiment (geo_batiment) ON DELETE CASCADE;
ALTER TABLE geo_batiment_parcelle ADD CONSTRAINT geo_batiment_parcelle_p_fk FOREIGN KEY (geo_parcelle) REFERENCES  geo_parcelle (geo_parcelle) ON DELETE CASCADE;
ALTER TABLE geo_ptcanv ADD CONSTRAINT geo_ptcanv_can_fk FOREIGN KEY (geo_can) REFERENCES geo_can (geo_can) ON DELETE CASCADE;
ALTER TABLE geo_ptcanv ADD CONSTRAINT geo_ptcanv_ppln_fk FOREIGN KEY (geo_ppln) REFERENCES geo_ppln (geo_ppln) ON DELETE CASCADE;
ALTER TABLE geo_ptcanv ADD CONSTRAINT geo_ptcanv_palt_fk FOREIGN KEY (geo_palt) REFERENCES geo_palt (geo_palt) ON DELETE CASCADE;
ALTER TABLE geo_ptcanv ADD CONSTRAINT geo_ptcanv_map_fk FOREIGN KEY (geo_map) REFERENCES geo_map (geo_map) ON DELETE CASCADE;
ALTER TABLE geo_ptcanv ADD CONSTRAINT geo_ptcanv_sym_fk FOREIGN KEY (geo_sym) REFERENCES geo_sym (geo_sym) ON DELETE CASCADE;
ALTER TABLE geo_borne_parcelle ADD CONSTRAINT geo_borne_parcelle_n_fk FOREIGN KEY (geo_borne) REFERENCES geo_borne (geo_borne) ON DELETE CASCADE;
ALTER TABLE geo_borne_parcelle ADD CONSTRAINT geo_borne_parcelle_p_fk FOREIGN KEY (geo_parcelle) REFERENCES geo_parcelle (geo_parcelle) ON DELETE CASCADE;
ALTER TABLE geo_croix_parcelle ADD CONSTRAINT geo_croix_parcelle_n_fk FOREIGN KEY (geo_croix) REFERENCES geo_croix (geo_croix) ON DELETE CASCADE;
ALTER TABLE geo_croix_parcelle ADD CONSTRAINT geo_croix_parcelle_p_fk FOREIGN KEY (geo_parcelle) REFERENCES geo_parcelle (geo_parcelle) ON DELETE CASCADE;
ALTER TABLE geo_symblim ADD CONSTRAINT geo_symblim_sym_n_fk FOREIGN KEY (geo_sym) REFERENCES geo_sym (geo_sym) ON DELETE CASCADE;
ALTER TABLE geo_symblim_parcelle ADD CONSTRAINT geo_symblim_parcelle_n_fk FOREIGN KEY (geo_symblim) REFERENCES geo_symblim (geo_symblim) ON DELETE CASCADE;
ALTER TABLE geo_symblim_parcelle ADD CONSTRAINT geo_symblim_parcelle_p_fk FOREIGN KEY (geo_parcelle) REFERENCES geo_parcelle (geo_parcelle) ON DELETE CASCADE;
ALTER TABLE geo_tpoint ADD CONSTRAINT geo_tpoint_sym_n_fk FOREIGN KEY (geo_sym) REFERENCES geo_sym (geo_sym) ON DELETE CASCADE;
ALTER TABLE geo_tpoint_commune ADD CONSTRAINT geo_tpoint_commune_n_fk FOREIGN KEY (geo_tpoint) REFERENCES geo_tpoint (geo_tpoint) ON DELETE CASCADE;
ALTER TABLE geo_tpoint_commune ADD CONSTRAINT geo_tpoint_commune_p_fk FOREIGN KEY (geo_commune) REFERENCES geo_commune (geo_commune) ON DELETE CASCADE;
ALTER TABLE geo_tline ADD CONSTRAINT geo_tline_sym_n_fk FOREIGN KEY (geo_sym) REFERENCES geo_sym (geo_sym) ON DELETE CASCADE;
ALTER TABLE geo_tline_commune ADD CONSTRAINT geo_tline_commune_n_fk FOREIGN KEY (geo_tline) REFERENCES geo_tline (geo_tline) ON DELETE CASCADE;
ALTER TABLE geo_tline_commune ADD CONSTRAINT geo_tline_commune_p_fk FOREIGN KEY (geo_commune) REFERENCES geo_commune (geo_commune) ON DELETE CASCADE;
ALTER TABLE geo_tsurf ADD CONSTRAINT geo_tsurf_sym_n_fk FOREIGN KEY (geo_sym) REFERENCES geo_sym (geo_sym) ON DELETE CASCADE;
ALTER TABLE geo_tsurf_commune ADD CONSTRAINT geo_tsurf_commune_n_fk FOREIGN KEY (geo_tsurf) REFERENCES geo_tsurf (geo_tsurf) ON DELETE CASCADE;
ALTER TABLE geo_tsurf_commune ADD CONSTRAINT geo_tsurf_commune_p_fk FOREIGN KEY (geo_commune) REFERENCES geo_commune (geo_commune) ON DELETE CASCADE;

COMMIT;
